> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Loyalty Card Point Expiration

> Retrieve loyalty point expiration buckets for a given loyalty card. Expired point buckets are not returned in this endpoint. You can use the [Exports API](/api-reference/exports/create-export) to retrieve a list of both `ACTIVE` and `EXPIRED` point buckets.



## OpenAPI

````yaml /openapi/loyalties.json get /v1/loyalties/{campaignId}/members/{memberId}/points-expiration
openapi: 3.0.1
info:
  title: Voucherify API - Loyalties
  version: v2018-08-01
  description: >-
    Voucherify promotion engine REST API. Please see
    https://docs.voucherify.io/docs for more details.
  contact:
    name: Voucherify Team
    url: https://www.voucherify.io/contact-support
    email: support@voucherify.io
  termsOfService: https://www.voucherify.io/legal/subscription-agreement
  license:
    name: MIT
    url: https://github.com/voucherifyio/voucherify-js-sdk/blob/main/LICENSE
servers:
  - url: https://{cluster}.voucherify.io
    description: Base URL
    variables:
      cluster:
        default: api
        enum:
          - api
          - us1.api
          - as1.api
          - download
          - us1.download
          - as1.download
security: []
paths:
  /v1/loyalties/{campaignId}/members/{memberId}/points-expiration:
    parameters:
      - schema:
          $ref: '#/components/schemas/ParameterCampaignId'
        name: campaignId
        in: path
        required: true
        description: >-
          The campaign ID or name of the loyalty campaign. You can either pass
          the campaign ID, which was assigned by Voucherify, or the `name` of
          the campaign as the path parameter value, e.g., `Loyalty%20Campaign`. 
      - schema:
          $ref: '#/components/schemas/ParameterMemberId'
        name: memberId
        in: path
        required: true
        description: Loyalty card code.
    get:
      tags:
        - Loyalties
      summary: List Loyalty Card Point Expiration
      description: >-
        Retrieve loyalty point expiration buckets for a given loyalty card.
        Expired point buckets are not returned in this endpoint. You can use the
        [Exports API](/api-reference/exports/create-export) to retrieve a list
        of both `ACTIVE` and `EXPIRED` point buckets.
      operationId: list-points-expiration
      parameters:
        - $ref: '#/components/parameters/limit'
        - $ref: '#/components/parameters/page'
      responses:
        '200':
          description: >-
            Returns a list of loyalty points expiration buckets along with an
            expiration date if the points are due to expire. No expiration date
            parameter is returned if the loyalty points bucket does not expire.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/LoyaltiesMembersPointsExpirationListResponseBody
              examples:
                Example:
                  value:
                    object: list
                    data_ref: data
                    data:
                      - id: lopb_ERSwDxeWTlvWwFrn3AtJxt3s
                        voucher_id: v_0aMj6Mdp0i3zuXrd9NnBKboc7746mlgF
                        campaign_id: camp_7s3uXI44aKfIk5IhmeOPr6ic
                        bucket:
                          total_points: 2
                        status: ACTIVE
                        expires_at: '2022-11-25'
                        created_at: '2022-11-25T09:10:20.994Z'
                        object: loyalty_points_bucket
                      - id: lopb_zdeIBq3EsnPnRSDa7Tyyb6X2
                        voucher_id: v_0aMj6Mdp0i3zuXrd9NnBKboc7746mlgF
                        campaign_id: camp_7s3uXI44aKfIk5IhmeOPr6ic
                        bucket:
                          total_points: 12
                        status: ACTIVE
                        expires_at: '2022-11-30'
                        created_at: '2022-11-21T13:49:54.949Z'
                        object: loyalty_points_bucket
                      - id: lopb_Mg80vhZtqHFItWlJFYZ2rJAS
                        voucher_id: v_0aMj6Mdp0i3zuXrd9NnBKboc7746mlgF
                        campaign_id: camp_7s3uXI44aKfIk5IhmeOPr6ic
                        bucket:
                          total_points: 0
                        status: ACTIVE
                        expires_at: '2023-05-30'
                        created_at: '2022-06-09T11:07:07.344Z'
                        updated_at: '2022-08-30T08:34:45.989Z'
                        object: loyalty_points_bucket
                      - id: lopb_dQE1TwyTkHAJDlVCPlqSC0nu
                        voucher_id: v_0aMj6Mdp0i3zuXrd9NnBKboc7746mlgF
                        campaign_id: camp_7s3uXI44aKfIk5IhmeOPr6ic
                        bucket:
                          total_points: 13124
                        status: ACTIVE
                        created_at: '2022-02-28T12:13:57.749Z'
                        updated_at: '2022-11-25T09:09:51.136Z'
                        object: loyalty_points_bucket
                    total: 4
      security:
        - X-App-Id: []
          X-App-Token: []
        - X-Voucherify-OAuth:
            - api
            - loyalties
components:
  schemas:
    ParameterCampaignId:
      type: string
      example: camp_rRsfatlwN7unSeUIJDCYedal
    ParameterMemberId:
      type: string
      example: MmFAzfDe
    LoyaltiesMembersPointsExpirationListResponseBody:
      title: Loyalties Members Points Expiration List Response Body
      description: >-
        Response body schema for **GET**
        `v1/loyalties/{campaignId}/members/{memberId}/points-expiration`.
      type: object
      properties:
        object:
          type: string
          pattern: list
          default: list
          enum:
            - list
          description: >-
            The type of the object represented by JSON. This object stores
            information about loyalty points expiration buckets in a dictionary.
        data_ref:
          type: string
          pattern: data
          default: data
          enum:
            - data
          description: >-
            Identifies the name of the attribute that contains the array of
            loyalty points expiration bucket objects.
        data:
          type: array
          description: Contains array of loyalty points expiration buckets.
          items:
            $ref: '#/components/schemas/LoyaltyPointsBucket'
        total:
          type: integer
          description: Total number of point expiration buckets.
      required:
        - object
        - data_ref
        - data
        - total
    ParameterLimit:
      type: integer
      minimum: 1
      maximum: 100
    ParameterPage:
      type: integer
      minimum: 1
      maximum: 100
    LoyaltyPointsBucket:
      type: object
      title: Loyalty Point Bucket
      description: Contains the details about expiring loyalty points.
      properties:
        id:
          type: string
          description: Unique identifier of the loyalty points bucket.
        voucher_id:
          type: string
          description: Unique identifier of the parent loyalty card.
        campaign_id:
          type: string
          description: Unique identifier of the parent campaign.
        bucket:
          type: object
          required:
            - total_points
          description: Defines the number of points stored in this loyalty point bucket.
          properties:
            total_points:
              type: integer
              description: Total number of points in the loyalty point bucket.
        status:
          type: string
          description: Loyalty point bucket status.
        expires_at:
          type: string
          format: date
          description: >-
            Date when the number of points defined in the bucket object are due
            to expire.
        created_at:
          type: string
          description: >-
            Timestamp representing the date and time when the loyalty point
            bucket object was created in ISO 8601 format.
          format: date-time
        updated_at:
          type: string
          format: date-time
          description: >-
            Timestamp representing the date and time when the loyalty point
            bucket object was updated in ISO 8601 format.
        object:
          type: string
          enum:
            - loyalty_points_bucket
          description: >-
            The type of the object represented by JSON. This object stores
            information about the loyalty point bucket.
      required:
        - id
        - voucher_id
        - campaign_id
        - bucket
        - created_at
        - status
        - expires_at
        - object
  parameters:
    limit:
      name: limit
      in: query
      required: false
      schema:
        $ref: '#/components/schemas/ParameterLimit'
      description: >-
        Limits the number of objects to be returned. The limit can range between
        1 and 100 items. If no limit is set, it returns 10 items.
    page:
      name: page
      in: query
      required: false
      schema:
        $ref: '#/components/schemas/ParameterPage'
      description: Which page of results to return. The lowest value is `1`.
  securitySchemes:
    X-App-Id:
      type: apiKey
      name: X-App-Id
      in: header
    X-App-Token:
      type: apiKey
      name: X-App-Token
      in: header
    X-Voucherify-OAuth:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://api.voucherify.io/v1/oauth/token
          scopes:
            api: Gives access to whole server-side API.
            vouchers: >-
              Gives access to all endpoints and methods starting with
              `v1/vouchers`.
            client_api: Gives access to whole client-side API.
            client_vouchers: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/vouchers`.
            promotions: >-
              Gives access to all endpoints and methods starting with
              `/v1/promotions`.
            client_promotions: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/promotions`
            campaigns: >-
              Gives access to all endpoints and methods starting with
              `v1/campaigns`.
            client_publish: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/publish`.
            exports: >-
              Gives access to all endpoints and methods starting with
              `/v1/exports`.
            publications: >-
              Gives access to all endpoints and methods starting with
              `/v1/publications`.
            client_validate: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/validate`.
            validations: >-
              Gives access to all endpoints and methods starting with
              `/v1/validations`.
            client_validations: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/validations`.
            qualifications: >-
              Gives access to all endpoints and methods starting with
              `/v1/qualifications`.
            client_qualifications: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/qualifications`.
            client_redeem: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/redeem
            redemptions: >-
              Gives access to all endpoints and methods starting with
              `/v1/redemptions`.
            client_redemptions: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/redemptions`
            customers: >-
              Gives access to all endpoints and methods starting with
              `/v1/customers`.
            client_customers: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/customers`.
            orders: >-
              Gives access to all endpoints and methods starting with
              `/v1/orders`.
            products: >-
              Gives access to all endpoints and methods starting with
              `/v1/products`.
            skus: >-
              Gives access to all endpoints and methods starting with
              `/v1/SKUs`.
            validation-rules: >-
              Gives access to all endpoints and methods starting with
              `/v1/validation-rules`.
            validation-rules-assignments: >-
              Gives access to all endpoints and methods starting with
              `/v1/validation-rules-assignments
            segments: >-
              Gives access to all endpoints and methods starting with
              `/v1/segments`.
            events: >-
              Gives access to all endpoints and methods starting with
              `/v1/events`.
            client_events: >-
              Gives access to all endpoints and methods starting with
              `client/v1/events`.
            rewards: >-
              Gives access to all endpoints and methods starting with
              `/v1/rewards`.
            assets: >-
              Gives access to all endpoints and methods starting with
              `/v1/assets`.
            task-results: >-
              Gives access to all endpoints and methods starting with
              `/v1/task-results`.
            loyalties: >-
              Gives access to all endpoints and methods starting with
              `/v1/loyalties`.
            client_consents: >-
              Gives access to all endpoints and methods starting with
              `client/v1/consents`.
            consents: >-
              Gives access to all endpoints and methods starting with
              `/v1/consents`.
            async-actions: >-
              Gives access to all endpoints and methods starting with
              `/v1/async-actions`.
            product-collections: >-
              Gives access to all endpoints and methods starting with
              `/v1/product-collections`.
            categories: >-
              Gives access to all endpoints and methods starting with
              `/v1/categories`.
            metadata-schemas: >-
              Gives access to all endpoints and methods starting with
              `/v1/metadata-schemas`.
            locations: >-
              Gives access to all endpoints and methods starting with
              `/v1/locations`.
            referrals: >-
              Gives access to all endpoints and methods starting with
              `/v1/referrals`.
            trash-bin: >-
              Gives access to all endpoints and methods starting with
              `/v1/trash-bin`.
            templates: >-
              Gives access to all endpoints and methods starting with
              `/v1/templates`.

````